Bug 859982 - Globally uncaught exception when trying to add a second entry for 'Allow Override' directive in Apache resource->Directories
Globally uncaught exception when trying to add a second entry for 'Allow Over...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.6
Assigned To: Lukas Krejci
Mike Foley
:
: 960658 (view as bug list)
Depends On:
Blocks: 848704
  Show dependency treegraph
 
Reported: 2012-09-24 10:40 EDT by Lukas Krejci
Modified: 2013-09-03 10:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 848704
Environment:
Last Closed: 2013-09-03 10:41:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-09-24 10:40:23 EDT
+++ This bug was initially created as a clone of Bug #848704 +++

Description of problem:

When trying to add a second entry for 'Allow Override' directive in a directory apache resource (Ex: /var/www/error Directory), unchecking the 'Unset' checkbox for 'Param' field display globally uncaught exception in UI and message center.

Please find attached the details of error attached.

There are no errors in server or agent log.

Version-Release number of selected component (if applicable):

Build: Version: 3.1.1.ER2
Build Number: f546515:4eb3f2c
Database: PostgreSQL 8.3.8
Browser: Firefox 10.0.2
Java Version: jre1.7.0_05

How reproducible:

Always

Steps to Reproduce:

1. Login to JBoss ON.
2. Navigate to the apache httpd resource->Apache Virtual Hosts->Main->Directories->Any directory (Ex: /var/www/error Directory).
3. Navigate to 'Configuration->Current' tab of the directory.
4. Navigate to the 'Inventory' tab of the virtual host.
5. Click on 'Add' symbol in 'Allow Override' section.
6. Uncheck the 'Unset' checkbox for 'Param' field
7. Enter a value in 'Param' field (Ex: AuthConfig)
8  Click on OK button.
9. Again click on 'Add' symbol in 'Allow Override' section.
10. Uncheck the 'Unset' checkbox for 'Param' field.
11. UI in the background displays globally uncaught exception.
  
Actual results:

UI displays globally uncaught exception.

Expected results:

No error should be displayed

Additional info:

Observed the same error when following the same steps in Apache IfModule (Ex: Apache Resource->Main->Ifmodules->mod_include.c->Configuration->Allow Override section)

--- Additional comment from skondkar@redhat.com on 2012-08-16 05:03:48 EDT ---

Created attachment 604832 [details]
Error

--- Additional comment from skondkar@redhat.com on 2012-08-16 08:37:12 EDT ---

More Info: This is not a JRE7 related bug. I reproduced it on jdk1.6.0_18.

--- Additional comment from lkrejci@redhat.com on 2012-09-24 08:48:37 EDT ---

This is most probably an UI issue with editing new entries in the list of maps and is not directly associated with the Apache plugin.
Comment 1 Lukas Krejci 2012-09-25 09:22:52 EDT
master http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=d41955c0175c795668d8e51ea7b742453a30b5ee
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Mon Sep 24 16:44:28 2012 +0200

    [BZ 859982] - Resetting the custom blur event handling before and after a popup dialog is shown in the configuration editor.
    This prevents unhandled errors when for example entering an entry into the
    list of maps multiple times.
Comment 2 Larry O'Leary 2013-07-25 19:35:04 EDT
*** Bug 960658 has been marked as a duplicate of this bug. ***
Comment 3 Heiko W. Rupp 2013-09-03 10:41:29 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.